Description

Especially when trying to view data on roads (such as vehicle counts per hour per segment), it's already very helpful to use automatic size

scaling binded to a appropriate field. However, to proper visualize data according to direction of flow it's necessary to use some offset;

ideally, the offset should be just enough to balance the line width out of center. Therefore I think It would be a huge improvement to allow

the offset field to be set based on a field, in a way similar to size scaling.

If I'm not mistaken, the offset behavior should resemble

offset(field)=flat_offset*field/2

because we want

offset(field)=width(field)/2

, with width(field)=flat_width*field

Another way to tackle this would be render vector lines optionally off-center (to the right or to the left); than, the offset could remain as is.

While this is generally the approach taken by other GIS/modelling software when showing this types of data (Inro Emme, PTV Visum and

Caliper TransCAD take the render off-center (to the right) for these cases), I expected the QGIS way of doing to be similar to size scaling.

And by allowing offset scaling by field the user would have much more flexibility...

I would very much like to implement this (since I have a particular use for it), but I would need some guidance on where things are/go on

the source tree.

History

#1 - 2013-08-26 12:10 AM - Jonas Malaco Filho

An example of a traffic volume map in Inro Emme: http://www.inrosoftware.com/images/emme4/standard_toolbox/bridge_traffic_1g.jpg

#2 - 2013-08-26 12:13 AM - Nathan Woodrow

Have you tried the latest dev versions because I'm pretty sure you can already do this.

http://i.imgur.com/V1kDFdc.png

#3 - 2013-08-26 04:07 AM - Giovanni Manghi

- Operating System deleted (All)

- Status changed from Open to Feedback

- Target version changed from Version 2.0.0 to Future Release - Nice to have

- OS version deleted (All)

#4 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
